appId: com.local.analysis.app
productName: 数据分析处理工具
directories:
    buildResources: build
files:
    - '!**/.vscode/*'
    - '!src/*'
    - '!electron.vite.config.{js,ts,mjs,cjs}'
    - '!{.eslintignore,.eslintrc.cjs,.prettierignore,.prettierrc.yaml,dev-app-update.yml,CHANGELOG.md,README.md}'
    - '!{.env,.env.*,.npmrc,pnpm-lock.yaml}'
icon: build/icon.png
asarUnpack:
    - resources/**
win:
    icon: build/icon.ico
    target:
        - nsis
    executableName: 数据分析处理工具
    requestedExecutionLevel: 'requireAdministrator'
nsis:
    artifactName: 数据分析处理工具-安装包.${ext}
    shortcutName: ${productName}
    uninstallDisplayName: 卸载${productName}
    createDesktopShortcut: always
mac:
    target:
        - dmg
    extendInfo:
        -   NSDocumentsFolderUsageDescription: 应用程序请求访问用户的Documents文件夹.
        -   NSDownloadsFolderUsageDescription: 应用程序请求访问用户的下载文件夹.
    notarize: false
dmg:
    sign: false
    artifactName: 数据分析处理工具-安装包.${ext}
appImage:
    artifactName: 数据分析处理工具-安装包.${ext}
electronDownload:
    mirror: https://npmmirror.com/mirrors/electron/
